Bug 7979 - [UPDATE REQUEST 2016.1] amdgpu-pro 17.10.414273
: [UPDATE REQUEST 2016.1] amdgpu-pro 17.10.414273
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-05-26 17:17 MSD by Eugene Shatokhin
Modified: 2017-06-14 06:48 MSD (History)
2 users (show)

See Also:
RPM Package: amdgpu-pro
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2017-05-26 17:17:29 MSD
Upstream update with ROSA-specific fixes + libomxil_bellagio that it requires.

Notes.

1.
The X11 driver itself is currently for x86_64 only (the 32-bit X11 driver seems to be broken at the moment). However, the 32-bit packages may be needed when running 32-bit apps, e.g. games in Steam, on 64-bit systems.

2.
The driver needs linux-firmware >= 20170517 (in QA: http://bugs.rosalinux.ru/show_bug.cgi?id=7958).

3.
How to install:
* add both 64-bit and 32-bit repositories for amdgpu-pro and libomxil_bellagio
* urpmi amdgpu-pro amdgpu-pro-lib32 dkms-amdgpu-pro
* reboot the system

On Radeon RX 4xx and older, it may be possible to skip installation of dkms-amdgpu-pro and just use the modules already provided by our kernel.

4.
How to remove:
* urpme amdgpu-pro-core dkms-amdgpu-pro
* accept removal of dependent packages
* reboot the system

5.
Unlike v16.30, this version of AMDGPU PRO can be installed alongside the opensource X11 driver x11-driver-video-amdgpu.

Known issues:

I1.
Failsafe (gray screen with squares) in Plymouth after driver installation.
Won't fix.

I2.
Failsafe (gray screen with squares) in Plymouth after driver removal.
Remake initrd ('dracut -f').

I3.
X11 server crashes at start on a 32-bit system. Won't fix.

I4.
ROSA R9 Plasma5: after the driver has been installed or removed, "Reboot the system" applet fails to start, no way to reboot the system from GUI.

Use the command line this time:
  reboot
or
  /sbin/shutdown -r now

After reboot, the applet should work fine again.
Comment 1 Eugene Shatokhin 2017-05-26 17:21:53 MSD
Advisory:
The proprietary driver for AMD graphics, AMDGPU PRO, was updated to version 17.10.414273 with support for newer hardware and other improvements.


Build lists:

amdgpu-pro:
https://abf.io/build_lists/2872364
https://abf.io/build_lists/2872365

libomxil_bellagio:
https://abf.io/build_lists/2871692
https://abf.io/build_lists/2871693
Comment 2 Vladimir Potapov 2017-06-07 14:25:00 MSD
The update is sent to expanded testing
**************************************
Comment 3 Eugene Shatokhin 2017-06-07 15:10:51 MSD
Advisory:
The proprietary driver for AMD graphics, AMDGPU PRO, was updated to version 17.10.414273 with support for newer hardware and other improvements.


Build lists:

amdgpu-pro:
https://abf.io/build_lists/2878173
https://abf.io/build_lists/2878174

libomxil_bellagio:
https://abf.io/build_lists/2871692
https://abf.io/build_lists/2871693
Comment 4 Eugene Shatokhin 2017-06-09 12:00:18 MSD
Hybrid graphics (Intel + AMD) does not work with AMDGPU PRO in ROSA yet. This is a known problem:
https://askubuntu.com/questions/880523/cant-login-after-installing-amdgpu-pro-16-60
https://www.phoronix.com/forums/forum/linux-graphics-x-org-drivers/amd-linux/927510-amdgpu-pro-16-60-released/page11

However, the fix proposed by AMD for Ubuntu seems not to work in ROSA.

The systems with standalone AMD graphics should work though.
Comment 5 Vladimir Potapov 2017-06-13 19:39:12 MSD
amdgpu-pro-17.10.414273-5
https://abf.io/build_lists/2878173
https://abf.io/build_lists/2878174

libomxil-bellagio-0.9.3-1
https://abf.io/build_lists/2871692
https://abf.io/build_lists/2871693
*************************** Advisory ****************************
The proprietary driver for AMD graphics, AMDGPU PRO, was updated to version 17.10.414273 with support for newer hardware and other improvements.
*****************************************************************
QA Verified